package com.cmeeting.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cmeeting.dto.UserDTO;
import com.cmeeting.pojo.TencentMeetingUser;
import com.cmeeting.pojo.UserId;
import com.cmeeting.pojo.WeComUser;
import com.cmeeting.vo.TencentMeetingVO;

import java.util.List;
import java.util.Map;

public interface TencentMeetingService extends IService<TencentMeetingUser> {
    void batchInsert(List<TencentMeetingUser> users);

    void doUsers();

    List<TencentMeetingVO.RecordFile> getMeetingFiles();
//    List<TencentMeetingVO.RecordFile> getMeetingFiles(List<UserDTO> accessUserIds, Map<String, WeComUser> weComUserMap);

    List<UserDTO> getAccessUserIds(Map<String,String> userIdRelations);

    String getMeetingHost(String meetingCode);

}
